<div class="row">
  <div class="col-sm-12 col-md-4">
    <h2 class="mb-3">Авторизация</h2>
    <div class="form-group">
      <label for="username">Логин</label>
      <input type="text" class="form-control" id="username" [(ngModel)]="username">
    </div>
    <div class="form-group">
      <label for="password">Пароль</label>
      <input type="password" class="form-control" id="password" [(ngModel)]="password">
    </div>
    <div class="alert alert-danger" role="alert" *ngIf="error">
      {{error}}
    </div>
    <hr />
    <button class="btn btn-primary btn-block" [disabled]="isValid()" (click)="login()">Вход</button>
  </div>
</div>
